<?php
/* This file is part of a copyrighted work; it is distributed with NO WARRANTY.
 * See the file COPYRIGHT.html for more details.
 */

require_once("../shared/global_constants.php");
require_once("../classes/Query.php");

/******************************************************************************
 * InstallQuery data access component for install process
 *
 * @author David Stevens <dave@stevens.name>;
 * @version 1.0
 * @access public
 ******************************************************************************
 */
class InstallQuery extends Query {

  function InstallQuery () {
    $this->_loc = new Localize(MAIN_LOCALE,"classes");
  }
  
  /****************************************************************************
   * Executes an sql statement
   * @param string $sql sql statement to execute
   * @return boolean returns false, if error occurs
   * @access public
   ****************************************************************************
   */
  function exec($sql) {
    return $this->_query($sql, $this->_loc->getText("InstallQueryErr1"));
  }


  /****************************************************************************
   * Drops a table
   * @param string $tableName name of table to drop
   * @return boolean returns false, if error occurs
   * @access public
   ****************************************************************************
   */
  function dropTable($tableName) {
    $sql = $this->mkSQL("drop table %I ", $tableName);
    return $this->_query($sql, $this->_loc->getText("InstallQueryErr2")." $tableName");
  }

}

?>
