<?php
/* This file is part of a copyrighted work; it is distributed with NO WARRANTY.
 * See the file COPYRIGHT.html for more details.
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Translation text 
#****************************************************************************

$trans["installHeadline"]        = "\$text='OpenBiblio Installation:';";

#****************************************************************************
#*  Translation text for page cancel_msg.php
#****************************************************************************
$trans["cancelMessage"]         = "\$text='OpenBiblio install process has been cancelled.';";
$trans["cancelShow"]            = "\$text='View Install Instructions';";

#****************************************************************************
#*  Translation text for page index.php
#****************************************************************************
$trans["indexErr1"]             = "\$text='The connection to the database failed with the following error.';";
$trans["indexErr2"]             = "\$text='Please make sure the following has been done before running this install script.';";
$trans["indexStep"]             = "\$text='step';";
$trans["indexInstInstr"]        = "\$text='of the install instructions';";
$trans["indexInstr1"]           = "\$text='create OpenBiblio database';";
$trans["indexInstr2"]           = "\$text='create OpenBiblio database user';";
$trans["indexInstr3"]           = "\$text='update openbibilio/database_constants.php with your new database username and password';";
$trans["indexInstr4"]           = "\$text='See';";
$trans["indexInstr5"]           = "\$text='Install Instructions';";
$trans["indexInstr6"]           = "\$text='for more details.';";
$trans["indexStart"]            = "\$text='Database connection is good.  Please choose a language and press the install button.';";
$trans["indexLang"]             = "\$text='Language:';";
$trans["indexTest"]             = "\$text='Install Test Data:';";
$trans["indexInstall"]          = "\$text='Install';";
$trans["indexUpdateHead"]       = "\$text='Update Version 0.3.x to Version 0.4.0 / 0.5.0:';";
$trans["indexAttention"]        = "\$text='WARNING - Please back up your database before updating from version 0.3.x to version 0.4.0 / 0.5.0.';";
$trans["indexUpdate"]           = "\$text='Update';";

#****************************************************************************
#*  Translation text for page installFuncs.php
#****************************************************************************
$trans["FuncsErr1"]             = "\$text='Error reading file';";

#****************************************************************************
#*  Translation text for page install.php
#****************************************************************************
$trans["installOK"]             = "\$text='Database connection is good.';";
$trans["installCreate"]         = "\$text='Building OpenBiblio tables...';";
$trans["installAlready"]        = "\$text='is already installed. Are you sure you want to delete all library data and create new OpenBiblio tables?';";
$trans["installCont"]           = "\$text='Continue';";
$trans["installStop"]           = "\$text='Cancel';";
$trans["installTable"]          = "\$text='table ';";
$trans["installDel"]            = "\$text=' dropped.';";
$trans["installTaCrea"]         = "\$text=' created.';";
$trans["installTable2"]         = "\$text='domain data for table ';";
$trans["installIns"]            = "\$text=' inserted.';";
$trans["installReady1"]         = "\$text='OpenBiblio tables have been created successfully!';";
$trans["installReady2"]         = "\$text='start using OpenBiblio';";

#****************************************************************************
#*  Translation text for page update030.php
#****************************************************************************
$trans["UpdateHead"]            = "\$text='OpenBiblio Update:';";
$trans["UpdateOK"]              = "\$text='Database connection is good.';";
$trans["UpdateErr1"]            = "\$text='Version 0.3.0 of the OpenBiblio data could not be found.';";
$trans["UpdateAlready"]         = "\$text='is currently installed. Are you sure you want to convert all library data to version 0.4.0?';";
$trans["UpdateCont"]            = "\$text='Continue';";
$trans["UpdateStop"]            = "\$text='Cancel';";
$trans["UpdateTable"]           = "\$text='table ';";
$trans["UpdateDel"]             = "\$text=' dropped.';";
$trans["UpdateTaCrea"]          = "\$text=' created.';";
$trans["UpdateTable2"]          = "\$text='domain data for table ';";
$trans["UpdateIns"]             = "\$text=' inserted.';";
$trans["UpdateConv1"]           = "\$text='biblio table converted.';";
$trans["UpdateConv2"]           = "\$text='biblio_copy table converted.';";
$trans["UpdateConv3"]           = "\$text='member table converted.';";
$trans["UpdateConv4"]           = "\$text='new staff table rows deleted.';";
$trans["UpdateConv5"]           = "\$text='staff table converted.';";
$trans["UpdateConv6"]           = "\$text='new collection table rows deleted.';";
$trans["UpdateConv7"]           = "\$text='collection_dm table converted.';";
$trans["UpdateConv8"]           = "\$text='new material_type table rows deleted.';";
$trans["UpdateConv9"]           = "\$text='material_type_dm table converted.';";
$trans["UpdateConv10"]          = "\$text='new settings table rows deleted.';";
$trans["UpdateConv11"]          = "\$text='settings table converted.';";
$trans["UpdateConv12"]          = "\$text='biblio_status have been dropped.';";
$trans["UpdateRename"]          = "\$text=' renamed to ';";
$trans["UpdateReady1"]          = "\$text='OpenBiblio tables have been created successfully!';";
$trans["UpdateReady2"]          = "\$text='start using OpenBiblio';";

?>
