<?php
/* This file is part of a copyrighted work; it is distributed with NO WARRANTY.
 * See the file COPYRIGHT.html for more details.
 */

  session_cache_limiter(null);

  #****************************************************************************
  #*  Checking for post vars.  Go back to form if none found.
  #****************************************************************************
  if (count($HTTP_POST_VARS) == 0) {
    header("Location: ../catalog/index.php");
    exit();
  }

  #****************************************************************************
  #*  Checking for tab name to show OPAC look and feel if searching from OPAC
  #****************************************************************************
  $tab = "cataloging";
  $lookup = "N";
  if (isset($HTTP_POST_VARS["tab"])) {
    $tab = $HTTP_POST_VARS["tab"];
  }
  if (isset($HTTP_POST_VARS["lookup"])) {
    $lookup = $HTTP_POST_VARS["lookup"];
  }

  $nav = "search";
	
  #echo "<P>Loading Includes</P>\n";
  require_once("../shared/common.php");
  if ($tab != "opac") {
    require_once("../shared/logincheck.php");
  }
  require_once("../classes/BiblioBrowseSubjects.php");
  require_once("../functions/searchFuncs.php");

  #****************************************************************************
  #*  Function declaration only used on this page.
  #****************************************************************************
  function printResultPages(&$loc, $currPage, $pageCount) {
    if ($pageCount <= 1) {
      return false;
    }
    echo $loc->getText("biblioBrowseSubjectResultPages").": ";
    $maxPg = OBIB_SEARCH_MAXPAGES + 1;
    if ($currPage > 1) {
      echo "<a href=\"javascript:changePage(".($currPage-1).")\">&laquo;".$loc->getText("biblioBrowseSubjectPrev")."</a> ";
    }
    for ($i = 1; $i <= $pageCount; $i++) {
      if ($i < $maxPg) {
        if ($i == $currPage) {
          echo "<b>".$i."</b> ";
        } else {
          echo "<a href=\"javascript:changePage(".$i.")\">".$i."</a> ";
        }
      } elseif ($i == $maxPg) {
        echo "... ";
      }
    }
    if ($currPage < $pageCount) {
      echo "<a href=\"javascript:changePage(".($currPage+1).")\">".$loc->getText("biblioBrowseSubjectNext")."&raquo;</a> ";
    }
  }

  #****************************************************************************
  #*  Retrieving post vars and scrubbing the data
  #****************************************************************************
  if (isset($HTTP_POST_VARS["page"])) {
    $currentPageNmbr = $HTTP_POST_VARS["page"];
  } else {
    $currentPageNmbr = 1;
  }
  
  # remove slashes added by form post
  $searchText = stripslashes(trim($HTTP_POST_VARS["searchText"]));
  # remove redundant whitespace
  $searchText = eregi_replace("[[:space:]]+", " ", $searchText);
  $words = explodeQuoted($searchText);

  #****************************************************************************
  #*  Search database
  #****************************************************************************
  $biblioB = new BiblioBrowseSubjects();
  $biblioB->setItemsPerPage(OBIB_ITEMS_PER_PAGE);
  $biblioB->connect();
  if ($biblioB->errorOccurred()) {
    $biblioB->close();
    displayErrorPage($biblioB);
  }
  
  if (!$biblioB->search($words,$currentPageNmbr)) {
    echo "<p> Error Condition </p>";
    $biblioB->close();
    displayErrorPage($biblioB);
  }

  #**************************************************************************
  #*  Show search results
  #**************************************************************************
  if ($tab == "opac") {
    require_once("../shared/header_opac.php");
  } else {
    require_once("../shared/header.php");
  }
  require_once("../classes/Localize.php");
  $loc = new Localize(OBIB_LOCALE,"shared");

  # Display no results message if no results returned from search.
  if ($biblioB->getRowCount() == 0) {
    $biblioB->close();
    echo $loc->getText("biblioBrowseSubjectNoResults");
    require_once("../shared/footer.php");
    exit();
  }
?>

<!--**************************************************************************
    *  Javascript to post back to this page
    ************************************************************************** -->
<script language="JavaScript" type="text/javascript">
<!--
function changePage(page)
{
  document.changePageForm.page.value = page;
  document.changePageForm.submit();
}
-->
</script>


<!--**************************************************************************
    *  Form used by javascript to post back to this page
    ************************************************************************** -->
<form name="changePageForm" method="POST" action="../shared/biblio_browse.php">
  <input type="hidden" name="searchText" value="<?php echo $HTTP_POST_VARS["searchText"];?>">
  <input type="hidden" name="lookup" value="<?php echo $HTTP_POST_VARS["lookup"];?>">
  <input type="hidden" name="page" value="1">
  <input type="hidden" name="tab" value="<?php echo $tab;?>">
</form>

<!--**************************************************************************
    *  Printing result stats and page nav
    ************************************************************************** -->
<?php
  echo $loc->getText("biblioBrowseSubjectResultTxt",array("items"=>$biblioB->getRowCount()));
  $searchterm = join(" ", $words);
  echo "\"" . $searchterm . "\"";
?>
<br />
<?php printResultPages($loc, $currentPageNmbr, $biblioB->getPageCount()); ?><br>
<br>

<!--**************************************************************************
    *  Printing result table
    ************************************************************************** -->
<table class="primary">
  <tr>
    <th valign="top" nowrap="yes" align="left" colspan="3">
      <?php echo $loc->getText("biblioBrowseSubjectResults"); ?>:
    </th>
  </tr>
  <?php
    $priorBibid = 0;
    while ($subject = $biblioB->fetchRow()) {
          #**********************************************
          #* print subject list with links to seach screen
          #***********************************************
          ?>
          <tr>
            <td nowrap="true" class="primary" valign="center" align="center">
              <?php echo $biblioB->getCurrentRowNmbr();?>.
            </font></td>
            <td class="primary" ><b><?php echo $loc->getText("biblioBrowseSubjectLabel"); ?></b>: <?php echo $subject;?>
            </font></td>
		<td class="primary" valign="center" align="center"> 
			<form name="searchsubject" method="POST" action="../shared/biblio_search.php">
				<input type="hidden" name="searchText" value="<?php echo $subject;?>">
				<input type="hidden" name="searchType" value="subject">
				<input type="hidden" name="sortBy" value="default">
  				<input type="hidden" name="lookup" value="<?php echo $HTTP_POST_VARS["lookup"];?>">
				<input type="hidden" name="tab" value="<?php echo $tab;?>">
				<input type="submit" value="<?php echo $loc->getText("biblioBrowseSubjectSearchButton");?>" class="button">
			</form>
		</td>
          </tr>
          <?php 
    }
    $biblioB->close();
  ?>
  </table><br>
<?php printResultPages($loc, $currentPageNmbr, $biblioB->getPageCount()); ?><br>
<?php require_once("../shared/footer.php"); ?>
